#!/usr/bin/php -q
<?php
//
// Copyright (c) 2008-2009 Nagios Enterprises, LLC.  All rights reserved.
//  
// $Id: nagiosql_importall.php 642 2011-04-26 19:39:48Z egalstad $

define("SUBSYSTEM",1);

echo "IMPORTING CONFIG FILES...";

require_once(dirname(__FILE__).'/../html/config.inc.php');

$https=grab_array_var($cfg,"use_https",false);
$url=($https==true)?"https":"http";
$url.="://localhost".$cfg['component_info']['nagiosql']['direct_url']."/admin/import.php";
echo "URL: $url\n";

$cookiefile="nagiosql.cookies";

// IMPORT ALL FILES
$dir="/usr/local/nagios/etc/import/";


$fl=file_list($dir,"/.*\.cfg/");
print_r($fl);
foreach($fl as $f){
	import_file($dir.$f);
	}

function import_file($f){
	global $url;
	global $cookiefile;
	
	echo "IMPORTING $f\n";
	//return;

	$cmdline="/usr/bin/wget --load-cookies=".$cookiefile." ".$url." --no-check-certificate --post-data 'chbOverwrite=1&selImportFile[]=".$f."' -O nagiosql.import.monitoring";
	echo "CMDLINE:\n";
	echo $cmdline;
	echo "\n";
	$output=system($cmdline,$return_code);
	
	// delete the file once it has been imported
	unlink($f);
	}





?>